<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.com.ty.lift.system.homepage.dao.mapper.StatisticsCountMapper">

    <!-- 获取电梯总台量 -->
    <select id="getLiftTotalCount" resultType="java.lang.Long">
        select count(1) from lift;
    </select>

    <!-- 获取录入项目总数 -->
    <select id="getProjectTotalCount" resultType="java.lang.Long">
        select count(1) from project;
    </select>

    <!-- 获取总维保记录数 -->
    <select id="getEmergencyRecordTotalCount" resultType="java.lang.Long">
        select count(1) from emergency_repair;
    </select>

    <!-- 获取维保总记录数 -->
    <select id="getMaintenanceRecordTotalCount" resultType="java.lang.Long">
        select count(1) from maintenance_record;
    </select>

</mapper>